Skip to main content
`Ctrl`+`K`

# TSGetI2Function

Returns the vector where the implicit residual is stored and the function/context to compute it.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetI2Function(TS ts, Vec *r, TSI2FunctionFn **fun, void **ctx)

Not Collective

## Input Parameter

- ts - the `TS` context

## Output Parameters

- r - vector to hold residual (or `NULL`)

- fun - the function to compute residual (or `NULL`)

- ctx - the function context (or `NULL`)

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetIFunction()`, `SNESGetFunction()`, `TSCreate()`

## Level

advanced

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages